#!/bin/sh
#
# Package: auto-pilot
# Erez Zadok <ezk@cs.sunysb.edu>
# Copyright (c) 2001-2005 Stony Brook University

LINES=`who | grep '(.*)$' | sed -e's/^.*(\(.*\))$/\1/g' | wc -l`
if [ "$LINES" -gt 0 ] ; then
	wall "Benchmarks failed: $*";
else
	if [ ! -z "$FAILADDR" ]
	then
		(uname -n ; date ; echo $* ; tail -n 20 $APSTATUS ) | mail -s "Benchmarks failed" $FAILADDR
	fi
	/etc/rc.d/init.d/sendmail start
	/etc/rc.d/init.d/sshd start
	rm -f /etc/nologin
fi
